import request from '@/utils/request'

// 查询检查发布关系列表
export function listRelease(query) {
  return request({
    url: 'laboratory/release/listRelease',
    method: 'get',
    params: query
  })
}

// 查询检查发布关系详细
export function getRelease(id) {
  return request({
    url: '/laboratory/release/' + id,
    method: 'get'
  })
}

// 新增检查发布关系
export function addRelease(data) {
  return request({
    url: '/laboratory/release',
    method: 'post',
    data: data
  })
}

// 修改检查发布关系
export function updateRelease(data) {
  return request({
    url: '/laboratory/release',
    method: 'put',
    data: data
  })
}

// 删除检查发布关系
export function delRelease(id) {
  return request({
    url: '/laboratory/release/' + id,
    method: 'delete'
  })
}

// 获取选中发布记录列表数据
export function listJcjl(query) {
  return request({
    url: '/laboratory/checkRecord/listJcjl',
    method: 'get',
    params: query
  })
}

